orientation.hh File Reference
`#include <ostream>`
`#include <istream>`
`#include <mia/core/attributes.hh>`
`#include <mia/3d/quaternion.hh>`
`#include <mia/3d/matrix.hh>`
`#include <mia/core/vector.hh>`
Include dependency graph for orientation.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | attribute_type< C3DOrientationAndPosition >
struct | attribute_type< E3DImageOrientation >
struct | attribute_type< E3DPatientPositioning >
class | C3DOrientationAndPosition
| This class represents the oriantation and position of a 3D data set. More...

## Typedefs

typedef TAttribute< E3DImageOrientation > | C3DImageOrientation
| attribute for 3D image orientation
typedef TAttribute< C3DOrientationAndPosition > | C3DImageOrientationPositionAttribute
typedef TTranslator< C3DOrientationAndPosition > | COrientationPositionTranslator
typedef TTranslator< E3DImageOrientation > | COrientationTranslator
| translator for 3D image orientations to and from strings
typedef TAttribute< E3DPatientPositioning > | CPatientPositionAttribute
| attribute for the patient position
typedef TTranslator< E3DPatientPositioning > | CPatientPositionTranslator
| translator for the patient position

## Enumerations

enum

E3DImageOrientation {
ior_undefined = 0 , ior_default = 1 , ior_xyz = 1 , ior_xyz_flipped = 2 ,
ior_yxz = 3 , ior_yxz_flipped = 4 , ior_xzy = 5 , ior_xzy_flipped = 6 ,
ior_zxy = 7 , ior_zxy_flipped = 8 , ior_yzx = 9 , ior_yzx_flipped = 10 ,
ior_zyx = 11 , ior_zyx_flipped = 12 , ior_axial = 1 , ior_axial_flipped = 2 ,
ior_coronal = 5 , ior_coronal_flipped = 6 , ior_saggital = 9 , ior_saggital_flipped = 10 ,
ior_unknown = 13
}

enum | E3DPatientPositioning { ipp_undefined = 0 , ipp_hfp , ipp_hfs , ipp_hfdr , ipp_hfdl , ipp_ffp , ipp_ffs , ipp_ffdr , ipp_ffdl , ipp_lastindex }

## Functions

std::ostream & | operator<< (std::ostream &os, const C3DOrientationAndPosition &orient)
| Stream operator to write orientation+position to stream os.
EXPORT_3D std::ostream & | operator<< (std::ostream &os, E3DImageOrientation orient)
| Stream operator to write orientation orient to stream os.
EXPORT_3D std::ostream & | operator<< (std::ostream &os, E3DPatientPositioning pp)
| Stream operator to write patient position orient to stream os.
EXPORT_3D std::istream & | operator>> (std::istream &is, C3DOrientationAndPosition &orient)
| Stream operator to read orientation+position from stream is.
EXPORT_3D std::istream & | operator>> (std::istream &is, E3DImageOrientation &orient)
| Stream operator to read orientation orient from stream is.
EXPORT_3D std::istream & | operator>> (std::istream &is, E3DPatientPositioning &pp)
| Stream operator to read patient position orient from stream is.

## Variables

const TDictMap< E3DImageOrientation > | g_image_orientation_map
const TDictMap< E3DPatientPositioning > | g_patient_position_map
EXPORT_3D const char * | IDPatientPosition
template class EXPORT_3D | TAttribute< C3DOrientationAndPosition >
template class EXPORT_3D | TAttribute< E3DImageOrientation >
template class EXPORT_3D | TAttribute< E3DPatientPositioning >
template class EXPORT_3D | TTranslator< C3DOrientationAndPosition >
template class EXPORT_3D | TTranslator< E3DImageOrientation >

## Typedef Documentation

## C3DImageOrientationPositionAttribute

typedef TAttribute<C3DOrientationAndPosition> C3DImageOrientationPositionAttribute

Definition at line 261 of file orientation.hh.

## COrientationPositionTranslator

typedef TTranslator<C3DOrientationAndPosition> COrientationPositionTranslator

Definition at line 262 of file orientation.hh.

## Variable Documentation

## g_image_orientation_map

const TDictMap<E3DImageOrientation> g_image_orientation_map

extern

## g_patient_position_map

const TDictMap<E3DPatientPositioning> g_patient_position_map

extern

## IDPatientPosition

EXPORT_3D const char* IDPatientPosition

extern

## TAttribute< C3DOrientationAndPosition >

template class EXPORT_3D TAttribute< C3DOrientationAndPosition >

extern

## TAttribute< E3DImageOrientation >

template class EXPORT_3D TAttribute< E3DImageOrientation >

extern

## TAttribute< E3DPatientPositioning >

template class EXPORT_3D TAttribute< E3DPatientPositioning >

extern

## TTranslator< C3DOrientationAndPosition >

template class EXPORT_3D TTranslator< C3DOrientationAndPosition >

extern

## TTranslator< E3DImageOrientation >

template class EXPORT_3D TTranslator< E3DImageOrientation >

extern